#version 330 core
out vec4 fragColor;

in vec3 TexCoords;

uniform samplerCube skybox;
uniform float gamma;

void main()
{    
    fragColor = texture(skybox, TexCoords);
    fragColor.rgb = pow(fragColor.rgb, vec3(1.0/gamma));
}