#version 330 core

layout (location = 0) in vec4 vertex;
out vec2 TexCoords;

uniform mat4 proj;
uniform mat4 model;

void main()
{
    TexCoords = vec2(1.0 - vertex.z, vertex.w); // Flip the texture coordinates horizontally
    gl_Position = proj * model * vec4(vertex.xy * vec2(-1.0, 1.0), 0.0, 1.0); // Flip the vertex position horizontally
}